# $Revision: 1.34 $, $Date: 2006/12/01 17:37:58 $
Summary:	KSBA = rot13(digit_to_letter(x509)) to be pronounced as Kasbah
Summary(es):	KSBA = rot13(digit_to_letter(x509))
Summary(pl):	KSBA = rot13(digit_to_letter(x509)), wymawiane "kasba"
Summary(pt_BR):	KSBA = rot13(digit_to_letter(x509)) pronunciado como Kasbah
Name:		libksba
Version:	1.0.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libksba/%{name}-%{version}.tar.bz2
# Source0-md5:	43646aa414f28e4962f8db138efbf249
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
URL:		http://www.gnupg.org/related_software/libksba/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9.3
BuildRequires:	libgpg-error-devel >= 1.2
BuildRequires:	libtool
BuildRequires:	texinfo
Requires:	libgpg-error >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSBA is a library to make the tasks of working with X.509
certificates, CMS data and related data more easy.

%description -l pl
KSBA jest bibliotek uatwiajc korzystanie z certyfikatw X.509,
danych CMS i podobnych danych.

%description -l pt_BR
KSBA  uma biblioteca para tratar certificados X.509, dados CMS e
dados relacionados de forma fcil.

%package devel
Summary:	Header files to develop KSBA applications
Summary(es):	Archivos de desarrollo de KSBA
Summary(pl):	Pliki nagwkowe do tworzenia programw uywajcych KSBA
Summary(pt_BR):	Arquivos de desenvolvimento da KSBA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgpg-error-devel >= 1.2

%description devel
Header files to develop KSBA applications.

%description devel -l pl
Pliki nagwkowe do tworzenia programw uywajcych KSBA.

%description devel -l pt_BR
Bibliotecas de desenvolvimento para KSBA.

%package static
Summary:	Static KSBA libraries
Summary(es):	Archivos de desarrollo de KSBA - estatico
Summary(pl):	Biblioteki statyczne KSBA
Summary(pt_BR):	Arquivos de desenvolvimento da KSBA - biblioteca esttica
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KSBA libraries.

%description static -l pl
Biblioteki statyczne KSBA.

%description static -l pt_BR
Bibliotecas de desenvolvimento para KSBA - esttico.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I gl/m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libksba.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ksba-config
%attr(755,root,root) %{_libdir}/libksba.so
%{_libdir}/libksba.la
%{_infodir}/ksba.info*
%{_includedir}/ksba.h
%{_aclocaldir}/ksba.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libksba.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libksba.spec,v $
Revision 1.34  2006/12/01 17:37:58  qboosh
- updated to 1.0.1
- more verbose files

Revision 1.33  2006/09/01 08:35:12  qboosh
- updated to 1.0.0 (considered stable now)

Revision 1.32  2006/08/22 16:54:02  glen
- check-files cleanup

Revision 1.31  2006/08/16 09:06:41  qboosh
- updated to 0.9.16

Revision 1.30  2006/06/22 07:58:47  qboosh
- updated to 0.9.15

Revision 1.29  2006/05/18 09:30:59  qboosh
- updated to 0.9.14

Revision 1.28  2005/11/26 19:53:14  qboosh
- updated to 0.9.13

Revision 1.27  2005/08/28 13:59:45  qboosh
- added URL

Revision 1.26  2005/08/13 14:37:39  qboosh
- updated to 0.9.12

Revision 1.25  2005/04/23 15:30:20  qboosh
- updated to 0.9.11, updated info patch, removed obsolete am18 patch

Revision 1.24  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.23  2004/12/03 22:41:36  qboosh
- updated to 0.9.10 (bugfix)

Revision 1.22  2004/10/17 19:42:36  qboosh
- updated to 0.9.9 (bugfixes)

Revision 1.21  2004/08/07 08:31:45  qboosh
- added docs

Revision 1.20  2004/07/23 22:21:28  qboosh
- updated to 0.9.8

Revision 1.19  2004/06/20 13:20:37  grzegol
- updated to 0.9.7

Revision 1.18  2004/05/07 15:12:12  qboosh
- updated to 0.9.6

Revision 1.17  2004/04/09 13:58:42  adgor
- 0.9.5

Revision 1.16  2004/04/07 23:20:02  qboosh
- req comment

Revision 1.15  2004/04/07 20:26:03  djurban
- fix req

Revision 1.14  2004/02/22 02:25:37  qboosh
- updated to 0.9.4

Revision 1.13  2004/02/01 09:01:04  qboosh
- updated to 0.9.3

Revision 1.12  2003/12/19 19:05:32  qboosh
- updated to 0.9.1

Revision 1.11  2003/12/18 09:10:11  wiget
- quotation fix in ksba.m4
- release 2

Revision 1.10  2003/11/17 18:50:04  qboosh
- updated to 0.9.0, added link patch

Revision 1.9  2003/08/09 21:24:55  ankry
- some pl translations, cosmetics

Revision 1.8  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/18 00:43:39  kloczek
- merge translations from Conectiva,
- added full regenerate ac/am/lt build suit.

Revision 1.5  2003/05/17 14:59:58  qboosh
- updated to 0.4.7, added info patch

Revision 1.4  2003/02/17 13:38:06  wiget
- updated to 0.4.6

Revision 1.3  2002/11/25 14:16:54  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/09 13:22:54  qboosh
- added pl description, removed non-working URL

Revision 1.1  2002/10/07 20:09:12  wrobell
- based on libgcrypt.spec
